<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="generator" content="ExDoc v0.31.0">
    <meta name="project" content="Manpages v2.3.0">


    <title>borg-benchmark-crud — Manpages v2.3.0</title>
    <link rel="stylesheet" href="dist/html-elixir-3ZLIM5JF.css" />


    <script src="dist/handlebars.runtime-NWIB6V2M.js"></script>
    <script src="dist/handlebars.templates-43PMFBC7.js"></script>
    <script src="dist/sidebar_items-BAAB9852.js"></script>

      <script src="doc-versions.js"></script>

    <script async src="dist/html-CILPWI2Q.js"></script>

<link rel="stylesheet" href="assets/doc.css">
  </head>
  <body data-type="extras" class="page-extra">
    <script>

      try {
        var settings = JSON.parse(localStorage.getItem('ex_doc:settings') || '{}');

        if (settings.theme === 'dark' ||
           ((settings.theme === 'system' || settings.theme == null) &&
             window.matchMedia('(prefers-color-scheme: dark)').matches)
           ) {
          document.body.classList.add('dark')
        }
      } catch (error) { }
    </script>

<div class="main">

<button class="sidebar-button sidebar-toggle" aria-label="toggle sidebar" aria-controls="sidebar">
  <i class="ri-menu-line ri-lg" title="Collapse/expand sidebar"></i>
</button>

<nav id="sidebar" class="sidebar">

  <div class="sidebar-header">
    <div class="sidebar-projectInfo">

        <a href="https://kaisenlinux.org/manpages/" class="sidebar-projectImage">
          <img src="assets/logo.png" alt="Manpages" />
        </a>

      <div>
        <a href="https://kaisenlinux.org/manpages/" class="sidebar-projectName" translate="no">
Manpages
        </a>
        <div class="sidebar-projectVersion" translate="no">
          v2.3.0
        </div>
      </div>
    </div>
    <ul id="sidebar-listNav" class="sidebar-listNav" role="tablist">
      <li>
        <button id="extras-list-tab-button" role="tab" data-type="extras" aria-controls="extras-tab-panel" aria-selected="true" tabindex="0">
MANUALS
        </button>
      </li>


    </ul>
  </div>

  <div id="extras-tab-panel" class="sidebar-tabpanel" role="tabpanel" aria-labelledby="extras-list-tab-button">
    <ul id="extras-full-list" class="full-list"></ul>
  </div>


</nav>

<main class="content">
  <output role="status" id="toast"></output>
  <div class="content-outer">
    <div id="content" class="content-inner">
      <div class="top-search">
        <div class="search-settings">
          <form class="search-bar" action="search.html">
            <label class="search-label">
              <span class="sr-only">Search documentation of Manpages</span>
              <input name="q" type="text" class="search-input" placeholder="Search Documentation (press /)" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" />
            </label>
            <button type="submit" class="search-button" aria-label="Submit Search">
              <i class="ri-search-2-line ri-lg" aria-hidden="true" title="Submit search"></i>
            </button>
            <button type="button" tabindex="-1" class="search-close-button" aria-hidden="true">
              <i class="ri-close-line ri-lg" title="Cancel search"></i>
            </button>
          </form>
          <button class="icon-settings display-settings">
            <i class="ri-settings-3-line"></i>
            <span class="sr-only">Settings</span>
          </button>
        </div>
      </div>
      <div class="autocomplete">
      </div>

<h1>


  <span>borg-benchmark-crud</span>
</h1>

<p>BORG-BENCHMARK-CRUD(1)                                                    borg backup tool                                                    BORG-BENCHMARK-CRUD(1)</p><p>NAME</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">borg</span><span class="o">-</span><span class="n">benchmark</span><span class="o">-</span><span class="n">crud</span><span class="w"> </span><span class="o">-</span><span class="w"> </span><span class="nc">Benchmark</span><span class="w"> </span><span class="nc">Create</span><span class="p">,</span><span class="w"> </span><span class="nc">Read</span><span class="p">,</span><span class="w"> </span><span class="nc">Update</span><span class="p">,</span><span class="w"> </span><span class="nc">Delete</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">archives</span><span class="o">.</span></code></pre><p>SYNOPSIS</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">borg</span><span class="w"> </span><span class="p" data-group-id="7010778041-1">[</span><span class="n">common</span><span class="w"> </span><span class="n">options</span><span class="p" data-group-id="7010778041-1">]</span><span class="w"> </span><span class="n">benchmark</span><span class="w"> </span><span class="n">crud</span><span class="w"> </span><span class="p" data-group-id="7010778041-2">[</span><span class="n">options</span><span class="p" data-group-id="7010778041-2">]</span><span class="w"> </span><span class="nc">REPOSITORY</span><span class="w"> </span><span class="nc">PATH</span></code></pre><p>DESCRIPTION</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">This</span><span class="w"> </span><span class="n">command</span><span class="w"> </span><span class="n">benchmarks</span><span class="w"> </span><span class="n">borg</span><span class="w"> </span><span class="nc">CRUD</span><span class="w"> </span><span class="p" data-group-id="2576574502-1">(</span><span class="n">create</span><span class="p">,</span><span class="w"> </span><span class="n">read</span><span class="p">,</span><span class="w"> </span><span class="n">update</span><span class="p">,</span><span class="w"> </span><span class="n">delete</span><span class="p" data-group-id="2576574502-1">)</span><span class="w"> </span><span class="n">operations</span><span class="o">.</span><span class="w">

   </span><span class="nc">It</span><span class="w">  </span><span class="n">creates</span><span class="w"> </span><span class="n">input</span><span class="w"> </span><span class="n">data</span><span class="w"> </span><span class="n">below</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">given</span><span class="w"> </span><span class="nc">PATH</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">backups</span><span class="w"> </span><span class="n">this</span><span class="w"> </span><span class="n">data</span><span class="w"> </span><span class="n">into</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">given</span><span class="w"> </span><span class="nc">REPO</span><span class="o">.</span><span class="w">  </span><span class="nc">The</span><span class="w"> </span><span class="nc">REPO</span><span class="w"> </span><span class="n">must</span><span class="w"> </span><span class="n">already</span><span class="w"> </span><span class="n">exist</span><span class="w"> </span><span class="p" data-group-id="2576574502-2">(</span><span class="n">it</span><span class="w"> </span><span class="n">could</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">fresh</span><span class="w"> </span><span class="n">empty</span><span class="w"> </span><span class="n">repo</span><span class="w"> </span><span class="ow">or</span><span class="w"> </span><span class="n">an</span><span class="w"> </span><span class="n">ex</span><span class="err">‐</span><span class="w">
   </span><span class="n">isting</span><span class="w"> </span><span class="n">repo</span><span class="p">,</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">command</span><span class="w"> </span><span class="n">will</span><span class="w"> </span><span class="n">create</span><span class="w"> </span><span class="o">/</span><span class="w"> </span><span class="n">read</span><span class="w"> </span><span class="o">/</span><span class="w"> </span><span class="n">update</span><span class="w"> </span><span class="o">/</span><span class="w"> </span><span class="n">delete</span><span class="w"> </span><span class="n">some</span><span class="w"> </span><span class="n">archives</span><span class="w"> </span><span class="n">named</span><span class="w"> </span><span class="n">borg</span><span class="o">-</span><span class="n">benchmark</span><span class="o">-</span><span class="n">crud</span><span class="o">*</span><span class="w"> </span><span class="n">there</span><span class="o">.</span><span class="w">

   </span><span class="nc">Make</span><span class="w"> </span><span class="n">sure</span><span class="w"> </span><span class="n">you</span><span class="w"> </span><span class="n">have</span><span class="w"> </span><span class="n">free</span><span class="w"> </span><span class="n">space</span><span class="w"> </span><span class="n">there</span><span class="p">,</span><span class="w"> </span><span class="n">you</span><span class="sc">&#39;ll need about 1GB each (+ overhead).

   If your repository is encrypted and borg needs a passphrase to unlock the key, use:

      BORG_PASSPHRASE=mysecret borg benchmark crud REPO PATH

   Measurements are done with different input file sizes and counts.  The file contents are very artificial (either all zero or all random), thus  the  measure‐
   ment results do not necessarily reflect performance with real data.  Also, due to the kind of content used, no compression is used in these benchmarks.

   C- == borg create (1st archive creation, no compression, do not use files cache)
          C-Z-  ==  all-zero files. full dedup, this is primarily measuring reader/chunker/hasher.  C-R- == random files. no dedup, measuring throughput through
          all processing stages.

   R- == borg extract (extract archive, dry-run, do everything, but do not write files to disk)
          R-Z- == all zero files. Measuring heavily duplicated files.  R-R- == random files. No duplication here, measuring throughput  through  all  processing
          stages, except writing to disk.

   U- == borg create (2nd archive creation of unchanged input files, measure files cache speed)
          The  throughput  value  is  kind  of virtual here, it does not actually read the file.  U-Z- == needs to check the 2 all-zero chunks&#39;</span><span class="w"> </span><span class="n">existence</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">the</span><span class="w">
          </span><span class="n">repo</span><span class="o">.</span><span class="w">  </span><span class="nc">U</span><span class="o">-</span><span class="nc">R</span><span class="o">-</span><span class="w"> </span><span class="o">==</span><span class="w"> </span><span class="n">needs</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">check</span><span class="w"> </span><span class="n">existence</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">lot</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">different</span><span class="w"> </span><span class="n">chunks</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">repo</span><span class="o">.</span><span class="w">

   </span><span class="nc">D</span><span class="o">-</span><span class="w"> </span><span class="o">==</span><span class="w"> </span><span class="n">borg</span><span class="w"> </span><span class="n">delete</span><span class="w"> </span><span class="n">archive</span><span class="w"> </span><span class="p" data-group-id="2576574502-3">(</span><span class="n">delete</span><span class="w"> </span><span class="n">last</span><span class="w"> </span><span class="n">remaining</span><span class="w"> </span><span class="n">archive</span><span class="p">,</span><span class="w"> </span><span class="n">measure</span><span class="w"> </span><span class="n">deletion</span><span class="w"> </span><span class="o">+</span><span class="w"> </span><span class="n">compaction</span><span class="p" data-group-id="2576574502-3">)</span><span class="w">
          </span><span class="nc">D</span><span class="o">-</span><span class="nc">Z</span><span class="o">-</span><span class="w"> </span><span class="o">==</span><span class="w"> </span><span class="n">few</span><span class="w"> </span><span class="n">chunks</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">delete</span><span class="w"> </span><span class="o">/</span><span class="w"> </span><span class="n">few</span><span class="w"> </span><span class="n">segments</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">compact</span><span class="o">/</span><span class="n">remove</span><span class="o">.</span><span class="w">  </span><span class="nc">D</span><span class="o">-</span><span class="nc">R</span><span class="o">-</span><span class="w"> </span><span class="o">==</span><span class="w"> </span><span class="n">many</span><span class="w"> </span><span class="n">chunks</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">delete</span><span class="w"> </span><span class="o">/</span><span class="w"> </span><span class="n">many</span><span class="w"> </span><span class="n">segments</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">compact</span><span class="o">/</span><span class="n">remove</span><span class="o">.</span><span class="w">

   </span><span class="nc">Please</span><span class="w"> </span><span class="n">note</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="n">there</span><span class="w"> </span><span class="n">might</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">quite</span><span class="w"> </span><span class="n">some</span><span class="w"> </span><span class="n">variance</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">these</span><span class="w"> </span><span class="n">measurements</span><span class="o">.</span><span class="w">  </span><span class="nc">Try</span><span class="w"> </span><span class="n">multiple</span><span class="w"> </span><span class="n">measurements</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">having</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">otherwise</span><span class="w"> </span><span class="n">idle</span><span class="w"> </span><span class="n">machine</span><span class="w">  </span><span class="p" data-group-id="2576574502-4">(</span><span class="ow">and</span><span class="w">  </span><span class="n">network</span><span class="p">,</span><span class="w">  </span><span class="k">if</span><span class="w">
   </span><span class="n">you</span><span class="w"> </span><span class="kn">use</span><span class="w"> </span><span class="n">it</span><span class="p" data-group-id="2576574502-4">)</span><span class="o">.</span></code></pre><p>OPTIONS</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">See</span><span class="w"> </span><span class="n">borg</span><span class="o">-</span><span class="n">common</span><span class="p" data-group-id="7947604419-1">(</span><span class="mi">1</span><span class="p" data-group-id="7947604419-1">)</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">common</span><span class="w"> </span><span class="n">options</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="nc">Borg</span><span class="w"> </span><span class="n">commands</span><span class="o">.</span></code></pre><p>   arguments</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">REPOSITORY</span><span class="w">
          </span><span class="n">repository</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="kn">use</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">benchmark</span><span class="w"> </span><span class="p" data-group-id="0395113775-1">(</span><span class="n">must</span><span class="w"> </span><span class="n">exist</span><span class="p" data-group-id="0395113775-1">)</span><span class="w">

   </span><span class="nc">PATH</span><span class="w">   </span><span class="n">path</span><span class="w"> </span><span class="n">were</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">create</span><span class="w"> </span><span class="n">benchmark</span><span class="w"> </span><span class="n">input</span><span class="w"> </span><span class="n">data</span></code></pre><p>SEE ALSO</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">borg</span><span class="o">-</span><span class="n">common</span><span class="p" data-group-id="9303435936-1">(</span><span class="mi">1</span><span class="p" data-group-id="9303435936-1">)</span></code></pre><p>AUTHOR</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">The</span><span class="w"> </span><span class="nc">Borg</span><span class="w"> </span><span class="nc">Collective</span><span class="w">

                                                                         </span><span class="mi">2023</span><span class="o">-</span><span class="mi">03</span><span class="o">-</span><span class="mi">22</span><span class="w">                                                       </span><span class="nc">BORG</span><span class="o">-</span><span class="nc">BENCHMARK</span><span class="o">-</span><span class="nc">CRUD</span><span class="p" data-group-id="6136629421-1">(</span><span class="mi">1</span><span class="p" data-group-id="6136629421-1">)</span></code></pre>
<div class="bottom-actions">
  <div class="bottom-actions-item">

      <a href="dislocker-metadata.html" class="bottom-actions-button" rel="prev">
        <span class="subheader">
          ← Previous Page
        </span>
        <span class="title">
dislocker-metadata
        </span>
      </a>

  </div>
  <div class="bottom-actions-item">

      <a href="borg-benchmark.html" class="bottom-actions-button" rel="next">
        <span class="subheader">
          Next Page →
        </span>
        <span class="title">
borg-benchmark
        </span>
      </a>

  </div>
</div>
      <footer class="footer">
        <p>

          <span class="line">
            <button class="a-main footer-button display-quick-switch" title="Search HexDocs packages">
              Search HexDocs
            </button>

          </span>
        </p>

        <p class="built-using">
          Built using
          <a href="https://github.com/elixir-lang/ex_doc" title="ExDoc" target="_blank" rel="help noopener" translate="no">ExDoc</a> (v0.31.0) for the

            <a href="https://elixir-lang.org" title="Elixir" target="_blank" translate="no">Elixir programming language</a>

        </p>
      </footer>
    </div>
  </div>
</main>
</div>


  </body>
</html>
